# Entity render event

This event will be called upon any entity rendering. This does include non-living entities (such as: FallingBlock, or Painting). Handler name is `onEntityRender`.

### `getEntity(): Entity`

Returns the rendered entity.

### `isPre(): Boolean`

Returns if the event is pre or post entity render.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/entity-render-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
